Package com.google.android.exoplayer2.analytics

## Interface PlaybackStatsListener.Callback

- Enclosing class:
    PlaybackStatsListener

      public static interface PlaybackStatsListener.Callback

  A listener for `PlaybackStats` updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPlaybackStatsReady​(AnalyticsListener.EventTime eventTime, PlaybackStats playbackStats)` | Called when a playback session ends and its `PlaybackStats` are ready.

- - ### Method Detail

    - #### onPlaybackStatsReady

          void onPlaybackStatsReady​(AnalyticsListener.EventTime eventTime,
                                    PlaybackStats playbackStats)

      Called when a playback session ends and its `PlaybackStats` are ready.
      Parameters:
        `eventTime` - The `AnalyticsListener.EventTime` at which the playback session started. Can be used to identify the playback session.
        `playbackStats` - The `PlaybackStats` for the ended playback session.